osmium::geom::Projection Class Reference

`#include <projection.hpp>`

Collaboration diagram for osmium::geom::Projection:
[legend]

## Public Member Functions

| Projection (const std::string &proj_string)
| Projection (int epsg)
Coordinates | operator() (osmium::Location location) const
int | epsg () const noexcept
std::string | proj_string () const

## Private Attributes

int | m_epsg
std::string | m_proj_string
CRS | m_crs_wgs84 {4326}
CRS | m_crs_user

## Detailed Description

Functor that does projection from WGS84 (EPSG:4326) to the given CRS.

## Constructor & Destructor Documentation

osmium::geom::Projection::Projection | ( | const std::string & | proj_string | ) |

inline

osmium::geom::Projection::Projection | ( | int | epsg | ) |

inline

## Member Function Documentation

int osmium::geom::Projection::epsg | ( |  | ) | const

inline noexcept

Coordinates osmium::geom::Projection::operator() | ( | osmium::Location | location | ) | const

inline

std::string osmium::geom::Projection::proj_string | ( |  | ) | const

inline

## Member Data Documentation

CRS osmium::geom::Projection::m_crs_user

private

CRS osmium::geom::Projection::m_crs_wgs84 {4326}

private

int osmium::geom::Projection::m_epsg

private

std::string osmium::geom::Projection::m_proj_string

private

The documentation for this class was generated from the following file:

- osmium/geom/projection.hpp